# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source/
BUILDDIR      = build/
DESTINATION=root@staticweb.ungleich.ch:/home/services/www/ungleichstatic/staticcms.ungleich.ch/www/uncloud/

.PHONY: all build clean

publish: build permissions
	rsync -av $(BUILDDIR) $(DESTINATION)

permissions: build
	find $(BUILDDIR) -type f -exec chmod 0644 {} \;
	find $(BUILDDIR) -type d -exec chmod 0755 {} \;

build:
	$(SPHINXBUILD) "$(SOURCEDIR)" "$(BUILDDIR)"

clean:
	rm -rf $(BUILDDIR)
